.rui-drawer {
  z-index: var(--z-index-overlay);

  &__widget {
    position: fixed;
    z-index: var(--z-index-modal);
    top: 0;
    min-width: 300px;
    max-width: 90%;
    height: 100%;
    border: 1px solid var(--border-color);
    background-color: var(--background-color);
  }

  &__title {
    display: flex;
    height: var(--drawer-title-height);
    align-items: center;
    padding: var(--spacer-default);
    border-bottom: 1px solid var(--border-color);
    margin: 0;
    font-size: var(--font-weight-h3);
    font-weight: var(--font-weight-h3);

    &__content { flex-grow: 1; }
  }

  &__actions {
    padding: var(--spacer-small) var(--spacer-default);
    border-bottom: 1px solid var(--border-color);
    text-align: right;
  }

  &__content {
    padding: var(--spacer-small) 0 0 0;
    overflow-y: auto;
  }

  &--left {
    .rui-drawer__widget {
      left: -1px;
    }
  }

  &--right {
    .rui-drawer__widget {
      right: -1px;
    }
  }
}
